# - Config file for the ISpell package
# It defines the following variables
#  ISpell_INCLUDE_DIRS - include directories for ISpell
#  ISpell_LIBRARIES    - libraries to link against



####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was ISpellConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include("${CMAKE_CURRENT_LIST_DIR}/ISpellLibraryDepends.cmake")

set(ISPELL_LIBRARIES "ISpell")
get_target_property(ISPELL_INCLUDE_DIRS "ISpell" INTERFACE_INCLUDE_DIRECTORIES)

if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.18.0)
    add_library(ISpell::ISpell ALIAS ISpell)
endif()

check_required_components(ISpell)
